Subject: Re: bug#59788: 29.0.60; [PATCH] Make treesit-end-of-defun handle nil node

From: Yuan Fu <[email-masked]>
Date: Sun, 4 Dec 2022 22:22:41 -0800

Theodor Thornhill <[email-masked]> writes:

> On 3 December 2022 07:33:46 CET, Eli Zaretskii <[email-masked]> wrote:
>>> Cc: [email-masked], [email-masked]
>>> From: Theodor Thornhill <[email-masked]>
>>> Date: Fri, 02 Dec 2022 21:45:59 +0100
>>> 
>>> However, I notice that treesit-beginning-of-defun returns t after it is
>>> done.  Is there a reason for end-of-defun not to return the same?
>>
>>The return value of end-of-defun is not documented, so it can be anything.
>
> Ok thanks, then I think this patch is ok now :)
>
> Theo

I think I applied a similar patch sent in another bug report, closing
this. Thanks as always :-)

Yuan